<?php
// +----------------------------------------------------------------------
// | [ WE CAN DO IT MORE SIMPLE  ]
// +----------------------------------------------------------------------
// | Copyright (c) 2018-2020 rights reserved.
// +----------------------------------------------------------------------
// | Author: TABLE ME
// +----------------------------------------------------------------------
// | Date: 2020-08-31 20:43
// +----------------------------------------------------------------------

namespace app\admin\controller\v1;


use app\BaseController;
use app\model\admin\AdminRole;
use app\Request;
use library\services\UtilService;
use app\model\admin\Site as SiteModel;

class Sys extends  BaseController
{

    /**
     * 基本设置
     */
    public function index(Request $request){
        $sys = (new SiteModel)->where("sassid",$request->site['sassid'])->find();
        return app('json')->success($sys->toArray());
    }


    /**
     * 保存数据
     */
    public function save(Request $request){
        
        $post = UtilService::getMore([
            ['lx_name',''],
            ['lx_tel',''],
            ['custom_tel',''],
            ['custom_qq',''],
            ['weixin_logo',''],
            ['tag',''],
            ['record',''],
            ['mono',''],
            ['js_script','']
        ],$request);
        (new SiteModel())->where('sassid',$request->site['sassid'])->save($post);
        return app('json')->success("数据保存成功");
    }
    
}