<?php
// +----------------------------------------------------------------------
// | [ WE CAN DO IT MORE SIMPLE  ]
// +----------------------------------------------------------------------
// | Copyright (c) 2018-2020 rights reserved.
// +----------------------------------------------------------------------
// | Author: TABLE ME
// +----------------------------------------------------------------------
// | Date: 2020-08-31 20:43
// +----------------------------------------------------------------------

namespace app\api\controller\v1;


use app\BaseController;
use app\model\system\Platform as PlatformModel;
use app\Request;
use library\services\UtilService;

class Platform extends  BaseController
{
    /**
     * 平台列表
     * @param Request $request
     */
    public function list(Request $request) {
        $pageSize = 50;
        [$page,$status,$name] =  UtilService::getMore(
            [
                ['page',1],
                ['status','1'],
                ['name','']
            ],$request,true
        );
        list($pageCount,$data) = (new PlatformModel)
            ->getList($page, ['name'=>[$name,'!empty']],$pageSize,'seq desc');
        $result = UtilService::getParam([
            'id',
            'name',
            'code',
            'seq',
            'img',
            'status'
        ],$data);
        return app('json')->success([
            'list'      => $result,
            'pageCount' => $pageCount,
            'pageSize'  => $pageSize,
            'page'      => $page
        ]);
    }


}