<?php
// +----------------------------------------------------------------------
// | [ WE CAN DO IT MORE SIMPLE  ]
// +----------------------------------------------------------------------
// | Copyright (c) 2018-2020 rights reserved.
// +----------------------------------------------------------------------
// | Author: TABLE ME
// +----------------------------------------------------------------------
// | Date: 2020-09-06 21:52
// +----------------------------------------------------------------------
use think\facade\Route;

Route::group('category', function () {
    //获取商品分类
    Route::rule('list', 'v1.category/list');
    //获取商品分类tree
    Route::post('tree','v1.category/treeList');
    //设置商品分类显示
    Route::post('status','v1.category/status');
    //商品分类删除数据
    Route::post('del','v1.category/del');
    //修改商品分类数据
    Route::post('save','v1.category/save');
    //商品分类详情
    Route::post('info','v1.category/info');

})->middleware([
    \app\system\middleware\AllowOriginMiddleware::class,
    \app\system\middleware\AdminAuthTokenMiddleware::class
    // \app\adminapi\middleware\AdminCkeckRole::class
]);