<?php
// +----------------------------------------------------------------------
// | [ WE CAN DO IT MORE SIMPLE  ]
// +----------------------------------------------------------------------
// | Copyright (c) 2018-2020 rights reserved.
// +----------------------------------------------------------------------
// | Author: TABLE ME
// +----------------------------------------------------------------------
// | Date: 2020-09-05 09:21
// +----------------------------------------------------------------------

use think\facade\Route;

Route::group('warehouse', function () {
    //获取仓库列表
    Route::rule('list', 'v1.warehouse/list');
    //修改|添加仓库列表
    Route::post('save','v1.warehouse/save');
    //获取仓库详情
    Route::post('info','v1.warehouse/info');
    //仓库删除数据
    Route::post('del','v1.warehouse/del');
    //快递价格配置
    Route::post('exp','v1.warehouse/exp');
    //
    Route::post('exp2','v1.warehouse/exp2');
    //保存快递价格
    Route::post('expSave','v1.warehouse/expSave');
    //更新物流
    Route::post('updateSiteExp','v1.warehouse/updateSiteExp');


})->middleware([
    \app\system\middleware\AllowOriginMiddleware::class,
    \app\system\middleware\AdminAuthTokenMiddleware::class
    // \app\adminapi\middleware\AdminCkeckRole::class
]);