<?php
// +----------------------------------------------------------------------
// | [ WE CAN DO IT MORE SIMPLE  ]
// +----------------------------------------------------------------------
// | Copyright (c) 2018-2020 rights reserved.
// +----------------------------------------------------------------------
// | Author: TABLE ME
// +----------------------------------------------------------------------
// | Date: 2020-08-31 20:43
// +----------------------------------------------------------------------

namespace app\system\controller\v1;


use app\BaseController;
use app\model\system\SystemRole;
use app\Request;
use library\services\UtilService;
use app\model\system\Sys as SysModel;

class Sys extends  BaseController
{

    /**
     * 基本设置
     */
    public function index(){
        $sys = (new SysModel)->where("id",1)->find();
        return app('json')->success($sys->toArray());
    }


    /**
     * 保存数据
     */
    public function save(Request $request){
        $post = UtilService::getMore([
            ['title',''],
            ['url',''],
            ['is_close',''],
            ['lx_name',''],
            ['lx_tel',''],
            ['custom_tel',''],
            ['custom_qq',''],
            ['weixin_logo',''],
            ['tag',''],
            ['record_code',''],
            ['is_transmatic',0]
        ],$request);
        (new SysModel())->saveSys($post);
        return app('json')->success("数据保存成功");
    }
    
}