<?php
// +----------------------------------------------------------------------
// | [ WE CAN DO IT MORE SIMPLE  ]
// +----------------------------------------------------------------------
// | Copyright (c) 2018-2020 rights reserved.
// +----------------------------------------------------------------------
// | Author: TABLE ME
// +----------------------------------------------------------------------
// | Date: 2020-09-06 21:52
// +----------------------------------------------------------------------
use think\facade\Route;

Route::group('product', function () {
    //获取商品列表
    Route::rule('list', 'v1.product/list');
    //商品删除数据
    Route::post('del','v1.product/del');

    Route::post('save','v1.product/save');
    //商品详情
    Route::post('info','v1.product/info');
    //站点图片
    Route::post('site','v1.product/site');
    //站点产品
    Route::post('siteSave','v1.product/siteSave');


})->middleware([
    \app\system\middleware\AllowOriginMiddleware::class,
    \app\system\middleware\AdminAuthTokenMiddleware::class
    // \app\adminapi\middleware\AdminCkeckRole::class
]);