<?php
// +----------------------------------------------------------------------
// | [ WE CAN DO IT MORE SIMPLE  ]
// +----------------------------------------------------------------------
// | Copyright (c) 2018-2020 rights reserved.
// +----------------------------------------------------------------------
// | Author: TABLE ME
// +----------------------------------------------------------------------
// | Date: 2020-09-05 09:21
// +----------------------------------------------------------------------

use think\facade\Route;

Route::group('site', function () {
    //获取站点列表
    Route::rule('list', 'v1.site/list');
    //修改|添加站点列表
    Route::post('save','v1.site/save');
    //获取站点详情
    Route::post('info','v1.site/info');
    //站点停止数据
    Route::post('stop','v1.site/stop');
    //列表-统计数据
    Route::get('top','v1.site/top');
    //更新产品
    Route::post('updatePro','v1.site/updatePro');
    //推荐站点
    Route::post('tj','v1.site/tj');

})->middleware([
    \app\system\middleware\AllowOriginMiddleware::class,
    \app\system\middleware\AdminAuthTokenMiddleware::class
    // \app\adminapi\middleware\AdminCkeckRole::class
]);