<?php
// +----------------------------------------------------------------------
// | [ WE CAN DO IT MORE SIMPLE  ]
// +----------------------------------------------------------------------
// | Copyright (c) 2018-2020 rights reserved.
// +----------------------------------------------------------------------
// | Author: TABLE ME
// +----------------------------------------------------------------------
// | Date: 2020-08-30 14:41
// +----------------------------------------------------------------------

use think\facade\Route;

Route::group('sysmenu', function () {
    //栏目列表
    Route::rule('list', 'v1.sysMenu/list');
    //栏目树结构
    Route::rule('tree','v1.sysMenu/treeList');
    //设置栏目是否显示隐藏
    Route::post('status','v1.sysMenu/status');
    //获取具体栏目
    Route::rule('info','v1.sysMenu/info');
    //保存栏目设置
    Route::rule('save','v1.sysMenu/save');
    //删除栏目
    Route::rule('del','v1.sysMenu/del');
})->middleware([
    \app\system\middleware\AllowOriginMiddleware::class,
    \app\system\middleware\AdminAuthTokenMiddleware::class
    // \app\adminapi\middleware\AdminCkeckRole::class
]);