<?php
// +----------------------------------------------------------------------
// | [ WE CAN DO IT MORE SIMPLE  ]
// +----------------------------------------------------------------------
// | Copyright (c) 2018-2020 rights reserved.
// +----------------------------------------------------------------------
// | Author: TABLE ME
// +----------------------------------------------------------------------
// | Date: 2020-08-30 14:41
// +----------------------------------------------------------------------

use think\facade\Route;

Route::group('admin', function () {
    //获取本管理信息
    Route::rule('init', 'v1.admin/init');
    //获取管理员具体信息
    Route::post('getInfo','v1.admin/getInfo');
    //管理退出
    Route::rule('logout', 'v1.admin/logout');
    //获取个人设置[[当前登录用户]]
    Route::post('info','v1.admin/info');
    //修改个人信息[当前登录用户]
    Route::post('edit','v1.admin/edit');
    //修改个人密码[当前登录用户]
    Route::post('password','v1.admin/password');
    

})->middleware([
    \app\warehouse\middleware\AllowOriginMiddleware::class,
    \app\warehouse\middleware\AdminAuthTokenMiddleware::class
   // \app\adminapi\middleware\AdminCkeckRole::class
]);